// takes in the new darkmode value and updates local storage and page styling
function setMode(darkmode) {
    // if the value of dark mode is set to true
    if (darkmode.toString() === 'true') {
        // set the styling of the body
        document.body.style.backgroundColor = "black";
        document.body.style.color = "white";
        // set the darkmode value in the browser's local storage
        sessionStorage.setItem("darkmode", 'true');
        // upodate the toggle switch on the website to match what was jsut updated
        document.getElementById("darkToggle").setAttribute('checked', 'true')
    }
    else {
        // set the styling of the body
        document.body.style.backgroundColor = "white";
        document.body.style.color = "black";
        // set the darkmode value in the browser's local storage
        sessionStorage.setItem("darkmode", 'false');
        // upodate the toggle switch on the website to match what was jsut updated
        document.getElementById("darkToggle").removeAttribute('checked')
    }
}

// as soon as this script is imported, we check the value of dark mode flag in the browser's local storage
let darkmode = sessionStorage.getItem("darkmode");
// we pass this value to the function above. Note, if this is first time the user is loading the page, the darkmode flag will be null, passing null into the function above will automatically set it to false
setMode(darkmode)